Subject: Re: [bitcoin-dev] Surprisingly, Tail Emission Is Not Inflationary

From: "aliashraf.btc At protonmail" <[email-masked]>
Date: Fri, 19 Aug 2022 17:21:03 +0000

Hi Peter, everyone
This issue has been discussed thoroughly in bitcointalk, general discussions are more suited to forums, I believe, still ....

First and foremost, it is more than obvious that bitcoin block subsidy algorithm is a total disaster, not just for the zero subsidy security consequences, but also for the overly rewarding scheme that favors (few) first-runners against (masses of) people who join later, a policy that looks to be a cheap marketing trick rather than a decent strategic monetary, system design, no matter how natural it is presumed nowadays, after being implemented by Bitcoin.

For now, the brilliance of the idea behind Bitcoin and the enthusiasm have compensated for its bizzar, upside-down inflation policy, in practice as newcomers have been paying the price to lucky first-runners and adopting anyway.
Is it happening for low block subsidy? Is it going to be solved somehow? I don't think so.

With subsidy still being the major (like 90%) portion of the block reward, there is an equalizer factor pushing equilibrium by paying security costs on behalf of current coin owners.Note that every single new bitcoin paid as subsidy is actually paid by the rest of the wallets proportional to their balance.
Other than its direct contribution to security, once understood as a ballance-based taxing scheme, it is a crucial mechanism for re-distribution of wealth because to compensate for their costs, unlike speculators (who are among the worst adopters of Bitcoin, and unfortunately the most influencers), miners are used to dumping their coins, providing more fair opportunities for people to join.
So, halving and the hard cap, put both adoption and security as risk, It is why, unlike "believers", I'm deeply concerned about a future with low block subsidy because it puts both security and adoption in an awkward situation.

Additionally, It is not considered an engineering practice by any measure to speculate about the security of a system that we abundantly recommend to friends, family for joining.
We need proofs, security proof, ease of adaptation proof, etc.,
Fantasies are not proofs, having faith in a magical incentive mechanism that fixes everything is not an argument, let alone being a proof.
Incentives are irrelevant, rules, schemes, projects, and so fort, matter. There are always incentives in games, but rules are in charge of determining the fate.
Without rules, there is no game, flawed schemes and rules move the game behind its equilibrium to fail eventually.

I've not to mention the unfeasibility of tempering Bitcoin's basic consensus rules, Bitcoin rules are not subject to change specially when it comes to something that is widely considered a basic characteristic, a Schelling point, and so forth.

So, it is the paradoxical situation: we are exposed to, on one hand, it is a deficiency and on the other hand it is inevitable because is critically hard-code to Bitcoin, advertised more than any feature as its identity.
But it is our job, isn't it? Dealing with the impossible and taking care of it, but I think before reaching to that point we have to settle the basics.:

- There is a problem with long term security and adoption consequences.
- It is built deeply to bitcoin consensus rules, and considered a critical
- It is not going to disappear magically, neither it will be addressed by whales, etc.
- The 21M cap, halving, and generally, Bitcoin consensus, is not subject to change.

Don't panic, it is not exactly a catch-22 situation. Tip:
It is always possible to help a system without aggressive intervention, either by smart tweaks or by supporting it using other system(s).

Cheers, Ali Ashraf

------- Original Message -------
On Tuesday, August 16th, 2022 at 8:35 PM, Peter via bitcoin-dev <[email-masked]> wrote:

> Hi Jaroslaw,

> In the Prisoner's Dilemma the prisoners cannot communicate. In Bitcoin large holders are able to communicate with each other. Also, prisoners need not make an all or nothing decision in Bitcoin. Miners can join and leave the network freely over time. You can change your decision based on the decision of others.
>
> The Bitcoin design is such that security is volatile but the issuance of blocks is timely and evened out to a 10 minutes average even after the reward is exhausted.
>
> The existing incentive that miners earn money for including transactions is enough to motivate human nature. Transaction initiators have an incentive to mine and run full nodes for personal interest.
>
>>Noone will waste his renewable energy on unprofitable Antminer while he/she can sell this energy for the market price.
>
> The law in most jurisdictions prevents the resale of spare electricity unless an expensive license is obtained (and in most cases no license is available as the government maintains a monopoly). Mining with waste electricity is reducing losses. Another incentive to motivate human nature.
>
> Bitcoin holders can be enfranchised into any new system. So, no need for bike shedding the original design which is a Schelling Point.
>
> Regards
>
> Peter Kroll
>
> pointbiz/ BTCCuracao